/* ====================================
   Hero Section
==================================== */

.hero {
    color: white;
    text-align: center;
    padding: 8em 2em;
    position: relative;
    overflow: hidden;
}

.hero-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: -1;
    opacity: 0.2;
    will-change: transform, opacity;
    transition: opacity 2s ease-out;
    transform: scale(1.1);
}

.hero h1,
.hero p,
.hero a {
    opacity: 0;
    transform: translateY(1.25rem);
    animation: fadeSlideIn 1s forwards;
}

.hero h1 {
    font-family: 'Cinzel', serif;
    font-size: 3em;
    margin-bottom: 0.3em;
    animation-delay: 0.3s;
}

.hero p {
    font-size: 1.2em;
    margin-bottom: 2rem;
    animation-delay: 0.6s;
}

.hero a {
    animation-delay: 0.9s;
}

@keyframes fadeSlideIn {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* ====================================
   Synopsis Section
==================================== */
.synopsis {
    text-align: justify;
}

/* ====================================
    Updates Section
==================================== */

.section--updates {
    background: #f3eedd;
    border-radius: 6px;
}

/* ====================================
   Card customization
==================================== */

.cards--row {
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
}

.card {
    color: inherit;
    text-decoration: inherit;
    display: flex;
    flex-direction: column;
    opacity: 1;
    transform: none;
}

.card .link {
    align-self: flex-start;
    margin-top: auto;
    padding-top: 0.5rem;
    font-weight: bold;
    position: relative;
}

/* ====================================
   Media Queries
==================================== */
/* Tablets */
@media (min-width: 720px) {
    .cards.cards--row {
        flex-direction: row;
        gap: 1.1rem;
    }

    .card {
        flex: 1 1 calc(33.333% - 1rem);
    }
}

/* Desktops */
@media (min-width: 900px) {
    .cards.cards--row {
        gap: 1.5rem;
    }
}